Last Comment Bug 633650 - Take Spread Firefox offline - http://www.spreadfirefox.com
: Take Spread Firefox offline - http://www.spreadfirefox.com
Status: RESOLVED FIXED
:
Product: Websites
Classification: Other
Component: website-archive.mozilla.org (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny]
:
:
Mentors:
: 657255 (view as bug list)
Depends on: 633651 650576 655888
Blocks: 626766
  Show dependency treegraph
 
Reported: 2011-02-11 15:59 PST by Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny]
Modified: 2011-09-10 09:12 PDT (History)
18 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-02-11 15:59:59 PST
Following is a list of 

1. Ryan - get a dump of the database to look over privacy concerns for the website

2. Ryan - Stub out a blog post on website-archive.mozilla.com.  Include a screenshot.

3. Mary - Write a blog post about the retirement of Spread Firefox.  Make a note about what future plans there are for the next iteration of Spread Firefox, if there are any, and where community members may express concerns, wishes, etc.

4. David - Create a page on Mozilla.com where people can grab buttons / banners for the Firefox 4 campaign to place on their website / blog.

5. Ops - Ensure that all /affiliates urls are redirected to the page on Mozilla.com.  URL is forthcoming.

6. Ops - Ensure that all other website traffic to spreadfirefox.com is redirected the website-archive blog post.  URL is forthcoming.

7. Ryan - Create ticket to have ops purge personal data from database and backup remaining data from database.

8. Ryan - Create ticket to have ops retire website.
Comment 1 Mary 2011-02-11 16:09:41 PST
Hey guys:  I wouldn't use the word "retire" since we don't know if SFx will be retired, or a more basic site or a community-driven site completely.

I'll work on a post or email tomorrow -- it's 12 a.m. here :(
Comment 2 Mary 2011-02-11 16:19:17 PST
Also, I'll look into "must have" pages as you suggested and historical data/stories to keep.  Also, anyone know what the process was for archiving Spread Firefox v .10? Thanks
Comment 3 Paul Booker 2011-02-12 17:20:03 PST
With regards to 5 i just wanted to draw attention to the fact that we need to retain the banners images that were using under sfx-images.mozilla.org

" Also, anyone know what the process was for archiving
Spread Firefox v .10?" +1


Best,
Paul Booker
Appcoast
Comment 4 Paul Booker 2011-02-13 08:44:01 PST
There are also some links like this one:

http://www.spreadfirefox.com/node&id=89185&t=256 , which redirects users to the Mozilla Store. We will need to catalogue all active links that point to spreadfirefox.com that are known and support them moving forward. When we have determined what active links are pointing at spreadfirefox we will also need to determine how active they are so that if spreadfirefox.com is hosted outside of Mozilla (being discussed) it will be possible to advise how much extra bandwidth would come from this.

Best, Paul
Comment 5 David Boswell 2011-02-14 09:47:51 PST
Small note about the original comment -- we're talking about moving the affiliate information to mozilla.org not mozilla.com.
Comment 6 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-02-14 11:01:27 PST
Thanks Paul - sfx-images.mozilla.org will definitely need to remain active.

I'm not familiar with the retirement / archiving process for Spread Firefox v.10, but it would be really nice to point to that blog post.

As for links, we are planning on redirecting all visitors to the blog post that Mary will be writing.

We will have web analytics for spreadfirefox.com that I'm sure we could share with anyone who was interested in hosting a site externally.
Comment 7 Paul Booker 2011-02-14 15:26:22 PST
(In reply to comment #6)
> Thanks Paul - sfx-images.mozilla.org will definitely need to remain active.

Thanks Ryan
> 
> We will have web analytics for spreadfirefox.com that I'm sure we could share
> with anyone who was interested in hosting a site externally.

That's brilliant. It will then be possible to determine a baseline from how active the current site has been over the last few months and then see if activity on the site increases after a relaunch
Comment 8 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-02-25 10:40:10 PST
I'm in the process of looking through the database to see what data is there and what needs to be expunged.

A blog post has been placed at:
http://blog.mozilla.com/website-archive/2011/02/25/spread-firefox/

@Mary, let me know what the URL for your blog post is, so I can link to it from this blog post, and also redirect Spread Firefox visitors to that post.

@David, let me know what the URL for the page where the Affiliates banners will be placed, so I can ensure that Spread Firefox visitors are redirected there.
Comment 9 David Boswell 2011-02-25 10:46:04 PST
> @David, let me know what the URL for the page where the Affiliates banners 
> will be placed, so I can ensure that Spread Firefox visitors are redirected 
> there.

The current thinking is that the page will live at

http://www.mozilla.org/contribute/affiliates/

I'm not 100% sure this will be the final page though since I think I've heard discussion about not using the affiliates naming right now since we're not carrying over some of the affiliate functionality, like signing up for accounts.  It may end up being something like

http://www.mozilla.org/contribute/buttons/
Comment 10 Mary 2011-02-25 10:52:53 PST
Hey guys:  I'm meeting with Ian Hayward who's showing me what he's done for a new community-driven Spread Firefox today.  Might need to amend that blog post a bit.

Stay tuned.  Thanks!
Comment 11 Mary 2011-02-25 11:48:44 PST
(In reply to comment #8)
> I'm in the process of looking through the database to see what data is there
> and what needs to be expunged.
> 
> A blog post has been placed at:
> http://blog.mozilla.com/website-archive/2011/02/25/spread-firefox/
> 
> @Mary, let me know what the URL for your blog post is, so I can link to it from
> this blog post, and also redirect Spread Firefox visitors to that post.
> 
> @David, let me know what the URL for the page where the Affiliates banners will
> be placed, so I can ensure that Spread Firefox visitors are redirected there.

Also not sure why I didn't think of this before!  But we have our participation page:  http://www.mozilla.com/en-US/about/participate/  This would be the best placeholder with a banner or promo on the top explaining the situation.
Comment 12 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-02-26 16:58:18 PST
Thanks Mary.  Which traffic should be redirected to the Participation page?  The spreadfirefox.com visitors, the affiliate visitors or both?
Comment 13 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-02-26 18:06:27 PST
Mary, David: Have all of the spreadfirefox.com pages that need to continue to exist been identified and created on mozilla.org?

I'm ready to proceed with shutting down the site, but I believe this is an outstanding task that needs to take place before we can move forward.
Comment 14 David Boswell 2011-02-27 08:03:57 PST
Re comment #13, the new affiliates page isn't live yet so I'd prefer to hold off until we can direct the affiliate traffic there.  Should hopefully be done this week -- new buttons need to be finished first (bug 627102).

I can't speak to any pages beyond the affiliates content though, so I'll let Mary answer for the rest.
Comment 15 David Boswell 2011-03-02 12:22:12 PST
To follow up on comment #9, the URL of the affiliates page on stage has changed to

http://www-stage.mozilla.org/contribute/buttons/

So the live URL for redirects to this content would be

http://www.mozilla.org/contribute/buttons/
Comment 16 Mary 2011-03-06 21:13:09 PST
Hi all:  I've started an etherpad on re. information & pages that we want accessible in some way after taking SFx offline.  Can you add anything I might have missed:  http://etherpad.mozilla.com:9000/sfx-pages-needed

Ryan:  Is there someway we'll be able to see pages once it's "offline" or are they totally inaccessible?

Thanks!
Comment 17 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-03-07 14:28:13 PST
Mary: The current plan is to remove the site and all of its code, but we will likely keep the database in place in case we need to re-use that data in the future.  In that instance, we would not be able to see pages once the site is offline.
Comment 18 David Boswell 2011-03-07 20:31:47 PST
> Is there someway we'll be able to see pages once it's "offline" or are
> they totally inaccessible?

Selected pages may be able to be scraped and saved somewhere, but it's best to migrate off any data you want and find a new home for it.
Comment 19 David Boswell 2011-03-17 12:30:41 PDT
> @David, let me know what the URL for the page where the Affiliates banners will
> be placed, so I can ensure that Spread Firefox visitors are redirected there.

As mentioned earlier, the buttons page will be at

http://www.mozilla.org/contribute/buttons/

And the plan is to go live with these on Monday night when the 1.4 release of mozilla.com gets pushed.

Ryan, what are next steps for making sure there's a redirect available then or soon after to point the old Affiliates pages to the new link?
Comment 20 David Boswell 2011-03-17 13:30:49 PDT
We can disregard my last comment.  After talking with Jane it sounds like it would be better to deal with all of the spreadfirefox redirects at once instead of just redirecting the Affiliates content now before figuring out the larger strategy with the site.
Comment 21 Gervase Markham [:gerv] 2011-03-18 07:04:51 PDT
Mary/Jane/Ryan: is information available on the rationale for this decision (I'm sure there are good reasons, they just aren't in this bug :-)? How have we been communicating with the SpreadFirefox community about this?

Gerv
Comment 22 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-03-18 10:02:06 PDT
Gerv - Please read https://bugzilla.mozilla.org/show_bug.cgi?id=626766
Comment 23 Gervase Markham [:gerv] 2011-03-18 10:19:20 PDT
Ryan: I can't; that bug is not accessible to me, and I doubt to any of the SpreadFirefox community either :-( 

If it's an infrasec bug, then I think you could probably let the community know without giving away enough info that someone could exploit the problem.

Gerv
Comment 24 Mary 2011-03-18 10:26:07 PDT
Hey there:  The Sfx community of contributors knows and has been participating in this.  I was going to post about it -- I'm just a lil swamped right now ;-)

In terms of my post - I wasn't going to mention the security vulnerability aspect.  Just note that the site is *not* used and currently login is broken, and we're taking it offline while we determine it's future.

Thanks!
Comment 25 Paul Booker 2011-03-18 11:43:06 PDT
Just for the clarity i would like to repeat that there are no security vulnerabilities with spreadfirefox.com in fact it is as secure as it has ever been right now.

Best, Paul
Comment 26 Gervase Markham [:gerv] 2011-03-22 03:59:26 PDT
Mary: the site currently does seem to be used (albeit not extensively) by a community of contributors. You can see their discussions here: http://www.spreadfirefox.com/new_discussions . And I just logged into it using my existing account. Did you perhaps mean account signup is broken?

Unless there is a security issue, it seems odd to take the site offline while its future is worked out. It's harder to discuss the future of the site with its community if their forums are offline. What channels are you using for discussion?

Gerv
Comment 27 Mary 2011-03-23 13:46:40 PDT
Hey Gerv:  No, there is a problem with usernames that contain caps no longer working.  See here:  https://bugzilla.mozilla.org/show_bug.cgi?id=591527 Most people can't actually log into the site and use it.

There aren't resources to support nor fix this site right now. Prior to the log in issues, there were on average about 10 comments + new discussions per day, and enough spam to employ someone 10 - 20 hours a week in spam moderation.  It's really hard to justify putting the resources into to fixing the login issues so people can actually use the site now without a future mapped out.

Hence the rationale.

I'm going to do a post on SFx and my blog and there has been discussion with the core team.  This had to be backburnered due to the launch.
Comment 28 Mary 2011-03-23 13:46:57 PDT
Hey Gerv:  No, there is a problem with usernames that contain caps no longer working.  See here:  https://bugzilla.mozilla.org/show_bug.cgi?id=591527 Most people can't actually log into the site and use it.

There aren't resources to support nor fix this site right now. Prior to the log in issues, there were on average about 10 comments + new discussions per day, and enough spam to employ someone 10 - 20 hours a week in spam moderation.  It's really hard to justify putting the resources into to fixing the login issues so people can actually use the site now without a future mapped out.

Hence the rationale.

I'm going to do a post on SFx and my blog and there has been discussion with the core team.  This had to be backburnered due to the launch.
Comment 29 Gervase Markham [:gerv] 2011-04-01 04:27:15 PDT
Hey Mary,

Thanks for the info - I can see your point about why the plan is a reasonable one. I agree that the community is not enormous, but it is there, and I hope we will make sure they are kept in the loop and consulted about plans. A post on SFx would be a great start :-)

Gerv
Comment 30 Mary 2011-05-03 13:12:45 PDT
Hey there:  The blog post is up.  Can we get a redirect up until we figure out the migration strategy on affiliates, etc?

The best way would be to redirect people to the participation page: http://www.mozilla.com/en-US/about/participate/

With a banner across the top re. SFx.

Sound good?
Comment 31 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-05-03 13:17:19 PDT
Yes, this is on my plate to move forward on.  I'll proceed with the next steps either Thursday or Friday of this week.  I need to review all the notes I've made for this project to ensure that things are done right.  Thanks Mary!
Comment 32 Mary 2011-05-03 13:19:19 PDT
Cool - do you want copy for the banner?  Let me know!
Comment 33 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-05-09 16:51:16 PDT
Bug 655888 has been filed to take Spread Firefox offline.  There is 1 outstanding question within that ticket regarding how to handle user data.

Mary:

Please let me know if there is any additional text you'd like to add to the Website Archive blog post.  This post should contain any important information about a site's history and relevance to the Mozilla mission.
https://blog.mozilla.com/website-archive/2011/02/25/spread-firefox/?preview=true&preview_id=103&preview_nonce=e7c05628ae

You will need to open a ticket in the Mozilla.com component if you'd like to add a banner to http://www.mozilla.com/en-US/about/participate/

Have all of the links you were concerned about in http://etherpad.mozilla.com:9000/sfx-pages-needed been taken care of?
Comment 34 (mostly gone) XtC4UaLL [:xtc4uall] 2011-05-15 16:18:06 PDT
*** Bug 657255 has been marked as a duplicate of this bug. ***
Comment 35 Ryan Snyder [:ryansnyder] [:rsnyder] [:rysny] 2011-06-01 12:43:15 PDT
Spread Firefox has been taken offline.  The new Affiliates program is currently in the planning phase.
Comment 36 u142003 2011-06-01 15:23:16 PDT
If you do a search for "spreadfirefox" in Google and click on some of the links that lead to subpages: e.g. http://www.spreadfirefox.com/500million, it leads to a 404 page: http://www.mozilla.org/contribute/500million. 

Also, as the Etherpad note from comment 16 suggests, http://www.mozilla.com/en-US/about/participate/ is, IMO, a better fit for the redirect.
Comment 37 Mary 2011-06-01 15:33:52 PDT
Hi there:  Is it possible to automatically redirect all links with the "root" www.spreadfirefox.com?

As for the contribute page, we felt it would provide people better opportunities to get involved and get in touch with people vs. the participate page which is static.  The CTAs, for instance, on the Get Involved page change quite often and people can get in contact with other volunteers.

The participate page at this point is a bit of a dead end.
Comment 38 Mary 2011-06-01 16:11:34 PDT
That last point might not have come off right :)  I meant that there is really no means to get in touch and strike a dialogue.
Comment 39 PikeUK 2011-06-06 05:44:18 PDT
Old "Get Firefox" links with the following URL are now 404, is there a bug for fixing that?

http://www.spreadfirefox.com/community/?q=affiliates&id=1234&t=12
Comment 40 David Boswell 2011-06-09 13:06:31 PDT
FWIW, it looks like the way the redirect is set up is sending people to 404 pages on www.mozilla.org.  See bug 663150 for an example.  I'll open a separate bug to fix.
Comment 41 David Boswell 2011-06-09 13:14:50 PDT
Bug 663202 set up to fix spreadfirefox.com redirect.

Ryan, would you be able to help us figure out who to assign that bug to?  Thanks.

Note You need to log in before you can comment on or make changes to this bug.